w32codecs, w64codecs, and ppc-codecs should all have the same name

Reported by Loye Young on 2007-06-27
4
Affects Status Importance Assigned to Milestone
Medibuntu
Wishlist
Albin Tonnerre

Bug Description

The repository structure already knows which architecture the machine needs. It would be simpler to call the three packages the same and let the repository path take care of which particular .deb is installed.

In the pool, the three packages would still be there, but the name would each end with the architecture.

For instance, assume the new consolidated name is "wcodecs". In the pool would be three packages:
wcodecs_<version.number>-i386.deb
wcodecs_<version.number>-amd64.deb
wcodecs_<version.number>-ppc.deb

The Release and Index files for each architecture would list the distribution-appropriate .deb. Consequently, the following would install the correct package, and only the correct package:
     # aptitude install wcodecs
Ditto for apt-get.

The advantage to the foregoing is that install scripts can be more simply written to depend on, install, and call wcodecs.

(BTW -- aptitude is now the recommended cli package manager. See The Debian GNU/Linux FAQ, Sec. 7.1.3 http://www.debian.org/doc/FAQ/ch-pkgtools.en.html)

effraie (effraie) wrote :

Why not.
But provided codecs are not the same, and sources package is not the same. (at least for ppc architecture)

Changed in medibuntu:
assignee: nobody → medibuntu-maintainers
importance: Undecided → Wishlist

Hello.

On Thu, Jun 28, 2007 at 10:22:26AM -0000, effraie wrote :
> Why not.
> But provided codecs are not the same, and sources package is not the same. (at least for ppc architecture)

There are not the same for amd too :)

Loye Young (loyeyoung) wrote :

On Thursday, June 28, 2007 6:51:08 am Hari Seldon wrote:
> There are not the same for amd too :)

Exactly correct. That is why the pool would need three different .deb files,
one for each architecture. The repository's Release file for each
architecture would point to the correct package in the pool.

Lionel Le Folgoc (mrpouit) wrote :

This would need regrouping w32codecs, w64codecs and ppc-codecs in one single huge package.
- ppc-codecs: ~600K
- w64codecs: ~200K
- w32codecs: ~13M
I am not very happy having to reupload ~13M only to update w64codecs. Moreover, that's better when source packages only contain one project, and not a mess of several different programs.

A better solution would be to create a meta-package 'wcodecs' which depends on w32codecs for i386, w64codecs for amd64 and ppc-codecs for ppc. It won't harm people installing directly w32codecs, life would be easier for how-to/install-scripts writers, and it won't be a pain to maintain.

Changed in medibuntu:
status: New → Incomplete

" This would need regrouping w32codecs, w64codecs and ppc-codecs in one
single huge package"

Not true. You would still have three separate packages. The correct version
for the particular architecture would be listed under the mcodec package in
the Packages file for the particular architecture. (I think in earlier posts
I said the Release file, which is inaccurate.)

In the ./dists/feisty/non-free/binary-i386/Packages would be a stanza that
begins:

Package: mcodecs
Version: 20061022-0medibuntu1+build1-i386
Architecture: i386

In ./dists/feisty/non-free/binary-powerpc/Packages woud be a stanza that
begins:

Package: mcodecs
Version: 20061022-0medibuntu2-ppc
Architecture: powerpc

And just to round out the selection,
./dists/feisty/non-free/binary-amd64/Packages would have:

Package: mcodecs
Version: 20061203-0medibuntu1-amd64
Architecture: amd64

So, whenever anyone installed mcodec, the correct package would be installed.

effraie (effraie) wrote :

well, and how would you manage source package, Love?
I think the meta-package proposition from lioneel is fine.

Changed in medibuntu:
status: Incomplete → Confirmed
Loye Young (loyeyoung) wrote :

The same way.

But if you can get the meta-package to automatically figure out which
architecture should be installed, rock on. At least the way I understood
lioneel's proposal, the user would still have to figure it out. Lots of
people installing multimedia don't know one architecture from the other.

As my girlfriend said when I asked her what kind of computer she got, "I got a
silver one with blue on it."

On Thursday, June 28, 2007 11:48:41 pm effraie wrote:
> well, and how would you manage source package, Love?
> I think the meta-package proposition from lioneel is fine.
>
> ** Changed in: medibuntu (upstream)
> Status: Incomplete => Confirmed

Lionel Le Folgoc (mrpouit) wrote :

No, the meta-package will depends on the correct package matching the architecture (the same method as *ubuntu-desktop meta-packages ;).

illovae, are you still working on it?

effraie (effraie) on 2007-07-03
Changed in medibuntu:
status: Confirmed → In Progress

On Tue, Jul 03, 2007 at 09:08:59PM -0000, Lionel Le Folgoc wrote :
> No, the meta-package will depends on the correct package matching the
> architecture (the same method as *ubuntu-desktop meta-packages ;).
>
> illovae, are you still working on it?

Yes i am.

Lionel Le Folgoc (mrpouit) wrote :

Committed to bzr and uploaded.

non-free-codecs (1) gutsy; urgency=low

  * Initial release. (LP: #122710)

 -- Lionel Le Folgoc <email address hidden> Thu, 27 Sep 2007 14:37:38 +0200

Changed in medibuntu:
assignee: medibuntu-maintainers → lutin
status: In Progress → Fix Committed
Albin Tonnerre (lutin) on 2007-09-29
Changed in medibuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers